BEGIN ~MULGORE~

IF 
~NumberOfTimesTalkedTo(0)
Global("SpokeToXavia","GLOBAL",0)
!Dead("mulgore")
~ THEN BEGIN 0
SAY ~Get lost, <RACE>!~ 
IF ~~ THEN EXTERN ~XAVIA~ 0
END

IF ~~ THEN BEGIN 1
  SAY ~Bah! <PRO_HESHE> doesn't look so tough to me.~
  IF ~~ THEN EXTERN ~XAVIA~ 1
END

IF ~~ THEN BEGIN 2
  SAY ~BBBBBBUUUUUUUURRRRRRRRRRPPPPPPPPP!!!!~ [mulgoree]
  IF ~~ THEN EXTERN ~XAVIA~ 3
END

IF ~~ THEN BEGIN 3
  SAY ~Har har! Ye almost wet yer britches, Xavia! The look on ye face when they came for us I'll not forget any time soon!~
  IF ~~ THEN EXTERN ~XAVIA~ 10
END

IF ~~ THEN BEGIN 4
  SAY ~TIME FOR DEATH!!!!~
  IF ~~ THEN DO ~ChangeEnemyAlly(Myself,EVILCUTOFF) Enemy() Attack(NearestEnemyOf(Myself))~ EXIT
END

IF ~~ THEN BEGIN 5
  SAY ~BBBBUUUURRRRPPPP!!! Hey! You there, barwench! Fetch thee another mead!~
  IF ~~ THEN EXTERN ~XAVIA~ 12
END

IF ~~ THEN BEGIN 6
  SAY ~Sorry pieces of gibbering dung!~
  IF ~~ THEN EXTERN ~XAVIA~ 15
END

IF ~~ THEN BEGIN 7
  SAY ~What!? I'll smash your puny skull in, <RACE>!.~
  IF ~~ THEN EXTERN ~XAVIA~ 19
END

IF ~~ THEN BEGIN 8
  SAY ~Now get out of my face!~ 
IF ~~ EXIT
END

IF ~~ THEN BEGIN 9
  SAY ~Keep out of my way <RACE>, and ye won't get hurt!~ 
  IF ~~ THEN DO ~
ActionOverride("xavia",JoinParty())
ActionOverride("xavia",SetDialogue("XAVIAP"))
ActionOverride("xavia",SetGlobal("KickedOut","GLOBALS",0))
SetDialogue("MULGOREP"))
JoinParty()
SetGlobal("KickedOut","GLOBALS",0)~ EXIT
END

IF ~~ THEN BEGIN 10
  SAY ~If I ever see that stupid Monte again, I swear I'll twist off his head and shove it up his bloody arse! BBBUUUURRRRRPPPPPPPP!~
  IF ~~ THEN EXTERN ~XAVIA~ 7
END

IF ~~ THEN BEGIN 11
  SAY ~Ye lucky I don't kill you this day, <RACE>!~
  IF ~~ THEN DO ~ActionOverride("xavia",EscapeArea())
EscapeArea()
~ EXIT
END

IF ~Global("SpokeToXavia","GLOBAL",1)~ THEN BEGIN 100
  SAY ~Piss off!, <RACE>!~
  IF ~~ THEN EXTERN ~XAVIA~ 100
END



BEGIN ~MULGOREP~

IF ~Dead("xavia")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 0
  SAY ~You again! This better be good, <RACE>, or stick my foot straight up your arse!~
  IF ~~ THEN REPLY ~Look, I know you don't really like me much, but I do have a need for you, and would like for you to rejoin my party~ DO ~~ GOTO 7
  IF ~~ THEN REPLY ~Bah! Get out of my face, Mulgore!  The only thing more foul than your body odor is your rotten personality!~ DO ~~ GOTO 6
END

IF ~~ THEN BEGIN 6
  SAY ~That's it! TIME FOR DEATH!!! RRRRRRRAAAAAAAAAGGGGGGGGHHHHHHHHHH!!!!!!~
  IF ~~ THEN DO ~ActionOverride("xavia",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("xavia",SetDialogue("XAVIAP"))
ActionOverride("xavia",LeaveParty())
ActionOverride("xavia",ChangeEnemyAlly(Myself,EVILCUTOFF) Enemy() Attack(NearestEnemyOf(Myself))
ChangeEnemyAlly(Myself,EVILCUTOFF) Enemy() Attack(NearestEnemyOf(Myself))
~ EXIT
END

IF ~~ THEN BEGIN 7
  SAY ~Keep this in mind, <RACE>: I'm only doing this for the gold. Get in my way and I'll cut ye in half.~
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~!Dead("xavia")
Global("KickedOut","LOCALS",1)
~ THEN BEGIN 1
  SAY ~Hey Xavia... look, it's that pissant <CHARNAME>. Speak up, <RACE>, what'd ye want?~
  IF ~~ THEN REPLY ~As much as your foul body odor and your ale stained breath nauseates me, your brutality is unpresidented. I could use your company again.~ DO ~~ GOTO 8
  IF ~~ THEN REPLY ~Bah! Get out of my face, Mulgore!  The only thing more foul than your body odor is your rotten personality!~ DO ~~ GOTO 6
END

IF ~~ THEN BEGIN 8
  SAY ~Ha ha! Is that so? I may let ye live yet, <RACE>. Let's go Xavia, let's help this little whelp out... we got nothing better to do!~
  IF ~~ THEN DO ~ActionOverride("xavia",SetGlobal("KickedOut","LOCALS",0))
ActionOverride("xavia",JoinParty())
SetGlobal("xavia","LOCALS",0)
JoinParty()
~ EXIT
END

IF ~HappinessLT(Myself,-290)
!InParty("xavia")
~ THEN BEGIN 2 // from:
  SAY ~You make me sick, <RACE>!~
  IF ~~ THEN DO ~LeaveParty()
EscapeArea()
~ EXIT
END

IF ~HappinessLT(Myself,-290)
InParty("xavia")
~ THEN BEGIN 3
  SAY ~You make me sick, <RACE>! Follow me, Xavia!~
  IF ~~ THEN DO ~ActionOverride("xavia",LeaveParty())
ActionOverride("xavia",EscapeArea())
LeaveParty()
EscapeArea()
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)
!InParty("xavia")
~ THEN BEGIN 4
  SAY ~Ye lucky I don't kill you this day, <RACE>!~
  IF ~~ THEN DO ~SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END

IF ~Global("KickedOut","LOCALS",0)
InParty("xavia")
~ THEN BEGIN 5
  SAY ~Ye lucky I don't kill you this day, <RACE>! What say ye, Xavia?~
  IF ~~ THEN DO ~ActionOverride("xavia",SetDialogue("XAVIAP"))
ActionOverride("xavia",SetGlobal("KickedOut","LOCALS",1))
ActionOverride("xavia",LeaveParty())
SetGlobal("KickedOut","LOCALS",1)
~ EXIT
END